/*******************************************************************************
 * Copyright 2017 fmCreation
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.finanzen;

/**
 * M&ouml;gliche Yahoo-Finanz-API Fehlertypen
 *
 * @author munstfr
 */
public enum FinanceExceptionType {
    /**
     * Ein Netzwerkfehler ist aufgetreten
     */
    NETWORK,
    /**
     * Es wurden keine Daten gefunden
     */
    DATA_NOT_FOUND,
    /**
     * Das angegebene Datum ist zu alt.
     */
    DATE_TOO_OLD,
    /**
     * Die W&auml;hrung wird nicht unterst&uuml;tzt
     */
    CURRENCY_NOT_SUPPORTED,
    /**
     * Sonstiger Fehler
     */
    OTHER
}
