/*******************************************************************************
 * Copyright 2017 fmCreation
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.finanzen;

import java.util.List;

/**
 * Interface für einen historischen Daten Leser.
 *
 * @author Frank Münster
 */
public interface WertpapierHistory {

    /**
     * Liest die historischen Daten
     *
     * @return List emit den historischen Daten.
     * @throws FinanceException
     */
    List<HistoryValueBean> getValues() throws FinanceException;

    /**
     * Liefert den Quellennamen
     *
     * @return den Quellennamen
     */
    String getSourceName();
}
