/*******************************************************************************
 * Copyright 2017 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.finanzen.boerseard;

import java.util.Map;

import de.frankmuenster.jameica.finanzen.StockInfoBean;

/**
 * @author Frank Münster
 */
public class ArdStockInfoBean extends StockInfoBean {

    /**
     * Liste der Börsenplätze
     */
    private Map<String, String> exchanges;

    /**
     * Die Wertpapier ID
     */
    private String id; // NOPMD

    /**
     * Standardkonstruktor
     */
    public ArdStockInfoBean() {
        super();
    }

    /**
     * Standardkonstruktor
     *
     * @param idString
     */
    public ArdStockInfoBean(final String idString) {
        super();
        this.id = idString;
    }

    /**
     * Liefert die Liste mit der Börsenplätze, an denen das Wertpapier gehandelt wird.
     *
     * @return the exchanges
     */
    public Map<String, String> getExchanges() {
        return this.exchanges;
    }

    /**
     * Liefert die ID des Wertpapieres
     *
     * @return die ID
     */
    public String getId() {
        return this.id;
    }

    /**
     * Setzt die Liste mit der Börsenplätze, an denen das Wertpapier gehandelt wird.
     *
     * @param exchanges
     *            the exchanges to set
     */
    public void setExchanges(final Map<String, String> exchanges) {
        this.exchanges = exchanges;
    }

    /**
     * Setzt die ID des Wertpapieres
     *
     * @param id
     *            the id to set
     */
    public void setId(final String id) { // NOPMD
        this.id = id;
    }
}
