/*******************************************************************************
 * Copyright 2017 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.finanzen.boerseard.json;

import java.math.BigDecimal;
import java.time.LocalDate;

import de.frankmuenster.jameica.json.annotations.JsonValueName;

/**
 * @author Frank Münster
 */
public class DateValue {

    /**
     * Datum des Wertes
     */
    @JsonValueName("date")
    private LocalDate date;

    /**
     * Der Wert
     */
    @JsonValueName("amount")
    private BigDecimal value;

    /**
     * Standardkonstruktor
     */
    public DateValue() {
        // Absichtlich leer
    }

    /**
     * Standardkonstruktor
     *
     * @param date
     * @param value
     */
    public DateValue(final LocalDate date, final BigDecimal value) {
        this.date = date;
        this.value = value;
    }

    /**
     * @return the date
     */
    public LocalDate getDate() {

        return this.date;
    }

    /**
     * @return the value
     */
    public BigDecimal getValue() {

        return this.value;
    }

    /**
     * @param date
     *            the date to set
     */
    public void setDate(final LocalDate date) {

        this.date = date;
    }

    /**
     * @param value
     *            the value to set
     */
    public void setValue(final BigDecimal value) {

        this.value = value;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {

        return this.date.toString() + ": " + this.value.toString(); //$NON-NLS-1$
    }
}
