/*******************************************************************************
 * Copyright 2017 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.finanzen.boerseard.json;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

import de.frankmuenster.jameica.json.annotations.JsonDeserialise;
import de.frankmuenster.jameica.json.annotations.JsonValueName;

/**
 * @author Frank Münster
 */
public class JsonArdBoerseHistory {

    /**
     * low Value
     */
    @JsonValueName("low")
    private BigDecimal low;

    /**
     * high Value
     */
    @JsonValueName("high")
    private BigDecimal high;

    /**
     * lowtime Value
     */
    @JsonValueName("lowtime")
    private LocalDate lowtime;

    /**
     * lastTimestamp Value
     */
    @JsonValueName("lastTimestamp")
    private LocalDate lastTimestamp;

    /**
     * hightime Value
     */
    @JsonValueName("hightime")
    private LocalDate hightime;

    /**
     * average Value
     */
    @JsonValueName("average")
    private List<Object> average;

    /**
     * firstTimestamp Value
     */
    @JsonValueName("firstTimestamp")
    private LocalDate firstTimestamp;

    /**
     * data Value
     */
    @JsonValueName("data")
    @JsonDeserialise("de.frankmuenster.jameica.finanzen.boerseard.json.DateValueDeserialiser")
    private List<DateValue> data;

    /**
     * No args constructor for use in serialization
     */
    public JsonArdBoerseHistory() {
        // absichtlich leer
    }

    /**
     * @param hightime
     * @param data
     * @param high
     * @param low
     * @param lowtime
     * @param firstTimestamp
     * @param average
     * @param lastTimestamp
     */
    public JsonArdBoerseHistory(final BigDecimal low, final BigDecimal high, final LocalDate lowtime,
            final LocalDate lastTimestamp, final LocalDate hightime, final List<Object> average,
            final LocalDate firstTimestamp, final List<DateValue> data) {
        super();
        this.low = low;
        this.high = high;
        this.lowtime = lowtime;
        this.lastTimestamp = lastTimestamp;
        this.hightime = hightime;
        this.average = average;
        this.firstTimestamp = firstTimestamp;
        this.data = data;
    }

    /**
     * @return low value
     */
    public BigDecimal getLow() {
        return this.low;
    }

    /**
     * @param low
     */
    public void setLow(final BigDecimal low) {
        this.low = low;
    }

    /**
     * @return high value
     */
    public BigDecimal getHigh() {
        return this.high;
    }

    /**
     * @param high
     */
    public void setHigh(final BigDecimal high) {
        this.high = high;
    }

    /**
     * @return lowTime value
     */
    public LocalDate getLowtime() {
        return this.lowtime;
    }

    /**
     * @param lowtime
     */
    public void setLowtime(final LocalDate lowtime) {
        this.lowtime = lowtime;
    }

    /**
     * @return lastTimestamp value
     */
    public LocalDate getLastTimestamp() {
        return this.lastTimestamp;
    }

    /**
     * @param lastTimestamp
     */
    public void setLastTimestamp(final LocalDate lastTimestamp) {
        this.lastTimestamp = lastTimestamp;
    }

    /**
     * @return lastTimestamp value
     */
    public LocalDate getHightime() {
        return this.hightime;
    }

    /**
     * @param hightime
     */
    public void setHightime(final LocalDate hightime) {
        this.hightime = hightime;
    }

    /**
     * @return average value
     */
    public List<Object> getAverage() {
        return this.average;
    }

    /**
     * @param average
     */
    public void setAverage(final List<Object> average) {
        this.average = average;
    }

    /**
     * @return firstTimestamp value
     */
    public LocalDate getFirstTimestamp() {
        return this.firstTimestamp;
    }

    /**
     * @param firstTimestamp
     */
    public void setFirstTimestamp(final LocalDate firstTimestamp) {
        this.firstTimestamp = firstTimestamp;
    }

    /**
     * @return data value
     */
    public List<DateValue> getData() {
        return this.data;
    }

    /**
     * @param data
     */
    public void setData(final List<DateValue> data) {
        this.data = data;
    }
}
